package edu.lawrence.androidweather

import android.content.Context
import android.content.SharedPreferences

data class GeoLocation(
    val zip : String,
    val name : String,
    val lat : Double,
    val lon : Double,
    val country : String)

data class Location(
    val zip : String,
    val latitude : Float,
    val longitude : Float,
    val name : String)

object LocationPreferences {
    private lateinit var sharedPreferences: SharedPreferences

    fun init(context : Context) {
        sharedPreferences = context.getSharedPreferences("edu.lawrence.AndroidWeather",Context.MODE_PRIVATE)
    }

    fun getLocation() : Location {
        val zip : String = sharedPreferences.getString("zip","54911")!!
        val latitude = sharedPreferences.getFloat("latitude", 44.2619F)
        val longitude = sharedPreferences.getFloat("longitude",-88.4154F)
        val name : String = sharedPreferences.getString("name","Appleton")!!
        return Location(zip,latitude,longitude,name)
    }

    fun setLocation(location : Location) {
        with(sharedPreferences.edit()) {
            putString("zip",location.zip)
            putFloat("latitude",location.latitude)
            putFloat("longitude",location.longitude)
            putString("name",location.name)
            apply()
        }
    }
}