package edu.lawrence.androidweather

import retrofit2.http.GET
import retrofit2.http.Query

interface WeatherApiService {
    @GET("data/3.0/onecall")
    suspend fun getForecast(@Query("lat") latitude: Float,
                            @Query("lon") longitude: Float,
                            @Query("appid") key : String,
                            @Query("exclude") exclude : String = "current,minutely,hourly,alerts",
                            @Query("units") units : String = "imperial") : Forecast

    @GET("geo/1.0/zip")
    suspend fun getLocation(@Query("zip") zip : String,@Query("appid") key : String) : GeoLocation
}